summaryrefslogtreecommitdiffstats
path: root/libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.SlackBuild')
-rw-r--r--libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.SlackBuild16
1 files changed, 6 insertions, 10 deletions
diff --git a/libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.SlackBuild b/libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.SlackBuild
index 44c4795069..ec3cfa6b8b 100644
--- a/libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.SlackBuild
+++ b/libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.SlackBuild
@@ -3,6 +3,7 @@
# Slackware build script for perl-extutils-pkgconfig
# (C) 2007 Michael Wagner <lapinours@web.de>
+# Copyright 2010 Binh Nguyen <binhnguyen@fastmail.fm>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,17 +24,16 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=perl-extutils-pkgconfig
-SRCNAM=ExtUtils-PkgConfig
-VERSION=1.08
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-1.12}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
+SRCNAM=ExtUtils-PkgConfig
+
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -62,10 +62,7 @@ mv $PKG/usr/share/man $PKG/usr && rm -rf $PKG/usr/share
gzip -9 $PKG/usr/man/man3/* 2> /dev/null
# Remove perlocal.pod and .packlist from $PKG
-( for i in perllocal.pod .packlist; do
- find $PKG -name "$i" -exec rm -rf {} \;
- done
-) || exit 1
+find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
# Remove empty directories
find $PKG -depth -type d -empty -exec rm -rf {} \;
@@ -73,7 +70,6 @@ find $PKG -depth -type d -empty -exec rm -rf {} \;
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a Changes README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc